## TrimPress

#### Description

TrimPress optimizes and trims some of the cruft from WordPress for a lighter, more secure theme. Find it [here](https://wordpress.org/plugins/trimpress/) at the WordPress plugin repository.

#### Features

* Slow down the Heartbeat API to save on admin-ajax usage.
* Disable cart fragments, a resource-intensive WooCommerce script (TrimPress automatically detects WooCommerce and only shows this option if it is active).
* Remove unnecessary clutter from the WordPress `<head>` section, like RSS, RSD, WLW manifest and adjacent post links.
* Disable the built-in WordPress code editors that allow users to modify plugin and theme code.
* Limit post revisions, which can cause unnecessary database bloat.
* Disable automatic emoji rendering, which adds several extra scripts and styles to your site.
* Disable the XML-RPC interface, an older system for remote WordPress access that can be exploited by hackers. 
* Remove the meta generator tag and version url parameters that let potential attackers know what WordPress version you're using.
* Disable comment autolinking, a feature often exploited by spammers.

#### Development

* Namespaced and object-oriented code.
* Adheres to [WordPress Coding Standards](https://github.com/WordPress/WordPress-Coding-Standards).
